caldate(3)

NAME
caldate - calendar dates

SYNTAX
#include <caldate.h> unsigned int caldate_fmt(s,&cd);
unsigned int caldate_scan(s,&cd); struct caldate cd;
char *s;

DESCRIPTION
A struct caldate value is a calendar date. It has three components: year, month (1...12), and day (1...31). caldate_fmt prints cd in ISO style (yyyy-mm-dd) into the character buffer s, without a terminating NUL. It returns the number of characters printed. s may be zero; then caldate_fmt returns the number of characters that would have been printed. caldate_scan reads a calendar date in ISO style from the beginning of the character buffer s and puts it into cd. It returns the number of characters read. If s does not start with an ISO-style date, caldate_scan returns 0.

SEE ALSO
caldate_mjd(3), caltime(3)